//初始化函数
function init() {
    var num = document.getElementById('num');
    //初始化输入框里面的数字为0
    num.value = 0;
    //让输入框不能手动修改
    num.disabled = "disabled";
    //获取input里面每个按钮的单击事件，并获取值
    var obutton = document.getElementsByTagName("input");
    var btn_num1;
    var fh;
    for (var i = 0; i < obutton.length; i++) {
        obutton[i].onclick = function() {
            //获取当前按钮的值
            //alert(this.value);
            if (isNumber(this.value)) {
                //数字,并处理默认的0
                if (isNull(num.value)) {
                    num.value = this.value;
                } else {
                    num.value = num.value + this.value;
                }
            } else {
                //非数字
                //获取当年点击的按钮属性
                var btn_num = this.value;
                switch (btn_num) {
                    case "+":
                        btn_num1 = Number(num.value);
                        num.value = 0;
                        fh = btn_num;
                        break;
                    case "-":
                        btn_num1 = Number(num.value);
                        num.value = 0;
                        fh = btn_num;
                        break;
                    case "*":
                        btn_num1 = Number(num.value);
                        num.value = 0;
                        fh = btn_num;
                        break;
                    case "/":
                        btn_num1 = Number(num.value);
                        num.value = 0;
                        fh = btn_num;
                        break;
                    case "←":
                        num.value = back(num.value);
                        break;
                    case "+/-":
                        num.value = sign(num.value);
                    case "=":
                        switch (fh) {
                            case "+":
                                num.value = btn_num1 + Number(num.value);
                                //console.log(btn_num1);
                                break;
                            case "-":
                                num.value = btn_num1 - Number(num.value);
                                //console.log(btn_num1);
                                break;
                            case "*":
                                num.value = btn_num1 * Number(num.value);
                                //console.log(btn_num1);
                                break;
                            case "/":
                                if (Number(num.value) == 0) {
                                    alert("除数不能是0");
                                    num.value = 0;
                                } else {
                                    num.value = btn_num1 / Number(num.value);
                                }
                        }
                    case "f":
                        break;
                    case "C":
                        num.value = 0;
                        break;
                }

            }
        }
    }
}
//验证文本框内的内容属性
function isNull(n) {
    if (n == 0 || n.length == 0) {
        //空文本框
        return true;
    } else {
        return false;
    }
}

//判断当前点击的按钮属性
function isNumber(n) {
    if (isNaN(n) == false) {
        return true; //参数N是数字
    } else {
        return false; //参数N不是数字
    }
}

//小数点的处理
//点了一次小数点后就不能再点小数点
function dec_number(n) {
    if (n.indexOf(".") == -1) {
        //小数点不存在
        n = n + ".";
    }
    return n;
}

//退格键
function back(n) {
    //判断当前数字不是0或空
    n = n.substr(0, n.length - 1);
    if (isNull(n)) {
        n = 0;
    }
    return n;
}

//正负号
function sign(n) {
    if (n.indexOf("-") == -1) {
        n = "-" + n;
    } else {
        n = n.substr(1, n.length);
    }
    return n;
}


//页面跳转
function f() {
    document.getElementById("fungj").onclick = function() {
        window.location.href = "https://www.fungj.com";
    }
}